PDA

View Full Version : Minsert Explode



FerCar66
2006-12-13, 07:04 PM
Alguien me puede ayudar, tengo un problema con un dibujo, el cual fue creado con un Minsert (arreglo de block), el cual no me permite explotarlo con el comando Explotar (explode). y me urge hacerle unos cambios...


De ante mano gracias por la atencion..

BrenBren
2006-12-13, 08:14 PM
Roughly Translated:

Somebody can help me, I have a problem with a drawing, which was created with a Minsert (adjustment of block), which does not allow me to operate it with the commando To explode (explode). and it is urgent to me to do changes to him... Of before hand thanks for the attention.

Opie
2006-12-13, 08:14 PM
English / Inglés

Does the block allow exploding? You should be able to adjust it through the Block Editor.

Spanish / Español vía el traductor de AJAX
(http://ajax.parish.ath.cx/translator/)
¿El bloque permite el estallar? Debes poder ajustarlo a través del redactor del bloque.

Opie
2006-12-13, 08:20 PM
English / Inglés

It appears that an MINSERT cannot be exploded.

Have you tried the FLATTEN command from Express Tools?

This CAD Forum post (http://www.cadforum.cz/cadforum_en/qaID.asp?tip=5197) suggests using it with the EXPLODE command.

Spanish / Español

Aparece que un MINSERT no puede ser estallado.

¿Has intentado APLANAS comando de las herramientas expresas?

Este poste del foro del cad sugiere con lo con el comando del ESTALLAR.

Ed Jobe
2006-12-13, 09:45 PM
You can only do this programatically. Here is some vba code I wrote to do that.

Usted puede hacer solamente esto programatically. Aquí está un cierto código del vba que escribí para hacer eso.


Public Sub ExplodeMinsert()
Dim oEnt As AcadEntity
Dim oEnts() As AcadEntity
Dim vCopies As Variant
Dim oMin As AcadMInsertBlock
Dim ss As AcadSelectionSet
Dim pp As Variant
Dim point1(0 To 2) As Double
Dim point2(0 To 2) As Double
point1(0) = 0#: point1(1) = 0#: point1(2) = 0#



GetEnt:
ThisDrawing.Utility.GetEntity oEnt, pp, "Select a MINSERT object: "
If TypeOf oEnt Is AcadMInsertBlock Then
'continue
Set oMin = oEnt
point2(0) = oMin.InsertionPoint(0)
point2(1) = oMin.InsertionPoint(1)
point2(2) = oMin.InsertionPoint(2)
Else
GoTo GetEnt
End If
GetBlockObjects oMin.Name, oEnts
vCopies = ThisDrawing.CopyObjects(oEnts, ThisDrawing.ActiveLayout.Block)
Set ss = ThisDrawing.ActiveSelectionSet
ss.Clear
ss.AddItems vCopies
For Each oEnt In ss
oEnt.Move point1, point2
oEnt.ScaleEntity point2, oMin.XScaleFactor
oEnt.Rotate point2, oMin.Rotation
Next oEnt
oMin.Delete
End Sub


Public Function GetBlockObjects(BlkName As String, oEntArray() As AcadEntity)
'Returns an array of objects from a block definition.
'We pass the block name rather than a block object so that it
'can work on MINSERT's too.
Dim oBlk As AcadBlock
Dim i As Integer

For Each oBlk In ThisDrawing.Blocks
If oBlk.Name = BlkName Then
ReDim oEntArray(oBlk.Count - 1)
For i = 0 To oBlk.Count - 1
Set oEntArray(i) = oBlk.Item(i)
Next i
End If
Next oBlk
End Function

A3D
2006-12-13, 10:06 PM
1. Edita el bloque (Refedit)
2. Copia todas las entidades que te interesan a x metros a la derecha (depende de la escala de tu dibujo).
3. Saca las entidades copiadas del la definición del bloque (refset con remove)
4. Guarda la definición del bloque
5. Asi tendrás fuera del bloque las entidades que quieres modificar (puedes crear un bloque nuevo).

De esta forma evitas la imposibilidad de explotar el bloque.

Espero que te sea útil.

Un saludo,

FerCar66
2006-12-13, 10:32 PM
Gracias arquirad, el problemas es que el block como tal no existe... al listarlo me da esta informacion:
BLOCK REFERENCE Layer: "0"
Space: Model space
Handle = 3a
Block Name: "*U0"
at point, X= 0.0000 Y= 0.0000 Z= 0.0000
X scale factor: 1.0000
Y scale factor: 1.0000
rotation angle: 0
Z scale factor: 1.0000
Scale uniformly: No
Allow exploding: Yes
# columns 2
column spacing 0.0000

es un arreglo de block (minsert) a dos columna y un renglon a 0 (cero) de distancia.
Ya probe la forma en que me suguieres, pero no se deja editar.. en el refedit...

mil gracias por la atencion.

A3D
2006-12-14, 06:30 AM
Bueno, en teoria se trata de un dibujo protegido (minsert + unnamed block).
El asterisco le dice al AutoCAD que ignore el bloque, por eso no lo puedes editar.

Solución:

He adjuntado un lisp (no es mio) que hace el trabajo; la orden es "ren_ablk".

1. ren_ablk
2. "Enter new block name:" le pones el nombre que te da la gana
3. Seleccionas el bloque puñetero
4. Ya está :)


Díme si te ha funcionado.
Un saludo,

FerCar66
2006-12-14, 04:19 PM
Gracias arquitrad

Si Funciono el LSP, quedo en deuda contigo... cualquier cosa si puedo ayudar estoy a tus ordenes..

atte. FerCar

hshristov
2008-02-12, 01:08 PM
You can explode minsert block with Solidworks. Open minsert dwg with Solidworks. Than save the drawing as dwg file. And there is your new dwg file :).

Guy F Lapouble
2008-03-24, 01:56 AM
Bueno, en teoria se trata de un dibujo protegido (minsert + unnamed block).
El asterisco le dice al AutoCAD que ignore el bloque, por eso no lo puedes editar.

Solución:

He adjuntado un lisp (no es mio) que hace el trabajo; la orden es "ren_ablk".

1. ren_ablk
2. "Enter new block name:" le pones el nombre que te da la gana
3. Seleccionas el bloque puñetero
4. Ya está :)


Díme si te ha funcionado.
Un saludo,

Hola arquitrad, excelente lisp. felicitaciones y muy util la dica.
Saludos
Guy

helvio.arq
2008-08-14, 06:21 PM
também agradeço! o lisp funciona muito bem!

valenzuelafcog
2009-03-17, 06:28 PM
tengo un lips que se llama mxplode.lips

es para exploter los objetos insertados con Minsert.

el objetivo de este comando es cambiar el objeto a un block el cual tu despues puedes explotar .

activas el comando seleccionas el objeto te marca un error des pues activas el comando explode enter y listo.

cadcag
2009-04-15, 07:36 PM
gracias por el lisp me ha sido de mucha utilidad, funciona a las mil maravillas, gracias por el aporte

samuel.castillo190164
2011-05-26, 07:28 PM
gracias... funciona con el 2011... excelente !

erilda_1985
2011-08-19, 09:40 AM
how come it didn't work totally on my drawing???Some part of it where able to be exploded,some others not.
Is it maybe because this drawing was not created by Autodesk?
Anyway thank you for the lisp!

victor_renea516078
2011-09-15, 01:59 AM
muchas gracias por las herramientas, alguien puede guiarme donde colocarlos, si en express tools o donde, por favor!!

digtop892875
2012-04-23, 04:11 PM
hola ya baje los archivo que adjuntaron para modificarlos pero no se como darlo de alta en autocad 2011 o en que carperta debo colocarlo para que funcione el comando me podrian orientar con esto. gracias

obg437822
2012-10-07, 03:11 PM
Pon el archivo en la Carpeta que quieras, después abre AutoCAD y ve a:

Tools / AutoLISP / Load Application...
Herramientas / AutoLISP / Cargar Aplicación...

En la ventana que se abre busca la Carpeta donde guardaste los archivos y seleccionalos y ¡Listo!

¡Salu2!